/* Reset and Common Styles */
* {
  margin: 0;
  padding: 0;
  outline: none;
  box-sizing: border-box;
  text-decoration: none;
  list-style-type: none;
  font-family: sans-serif;
  font-weight: 400;
}

.center {
  display: flex;
  justify-content: center;
  align-items: center;
}
/* End of Reset and Common Styles */

/* Navbar */
.navbar {
  width: 100%;
  height: 80px;
  background-color: gray;
  position: fixed;
  top: -100px;
  z-index: 150;
  display: flex;
  justify-content: center;
  align-items: center;
  box-shadow: 3px 3px 3px gray;
  transition: top 0.4s;
}

.navbar.change {
  top: 0;
  transition: top 0.4s 0.2s;
}

.navbar-link {
  color: #aaa;
  margin: 0 32px;
  display: flex;
  flex-direction: column;
  justify-content: center;
  align-items: center;
  opacity: 0;
  transition: color 0.3s, opacity, 2s;
}

.change .navbar-link {
  opacity: 1;
}

.change .navbar-link:nth-child(1) {
  transition: opacity 0.4s 0.5s, color 0.3s;
}

.change .navbar-link:nth-child(2) {
  transition: opacity 0.4s 0.6s, color 0.3s;
}

.change .navbar-link:nth-child(3) {
  transition: opacity 0.4s 0.7s, color 0.3s;
}

.navbar-link:hover {
  color: #fff;
}

.navbar-link span {
  font-size: 32px;
  font-weight: 700;
  letter-spacing: 8px;
  margin-top: 8px;
}

.menu {
  width: 40px;
  height: 80px;
  background-color: gray;
  position: fixed;
  top: 16px;
  right: 32px;
  border-radius: 480px 480px 240px 240px;
  cursor: pointer;
  z-index: 100;
  transition: top 0.4s 0.2s;
}

.menu.change {
  top: 150px;
  transition: top 0.4s;
}

.menu::before {
  content: "";
  width: 5px;
  height: 180px;
  background-color: gray;
  position: absolute;
  top: -180px;
  left: calc(50% - 4px);
  box-shadow: 2px 0 2px gray;
}

/* End of Navbar */